@import url('https://fonts.googleapis.com/css2?family=Gabarito:wght@400;700;900&display=swap');

:root {
	--font-family: 'Gabarito', sans-serif;
	--font-regular: 400;
	--font-bold: 700;
	--font-bolder: 900;
	--black: #111;
	--white: #fff;
	--green: #46b450;
	--yellow: #ffb900;
	--section-width: 1600px;
	--section-padding-x: 24px;
	--section-padding-y: 80px;
	--bp-mobile: 943px;
	--color-accent: #0062ff;
}

@media only screen and (max-width: 943px) {
	:root {
		--section-padding-x: 8px;
		--section-padding-y: 40px;
	}
}

body:not(.wp-admin) {
	margin: 0;
	padding: 0;
	font-size: 16px;
	font-family: var(--font-family);
	font-weight: var(--font-regular);
}

body:not(.wp-admin) li,
html :where(.editor-styles-wrapper) li {
	list-style: none;
}

body:not(.wp-admin) a,
html :where(.editor-styles-wrapper) a {
	font-size: 1.2rem;
	font-weight: var(--font-bold);
	text-decoration: none;
	border-bottom: 2px solid transparent;
	transition: 0.3s;
	color: var(--black);
}

body:not(.wp-admin) input,
html :where(.editor-styles-wrapper) input,
body:not(.wp-admin) textarea,
html :where(.editor-styles-wrapper) textarea {
	display: inline-flex;
	padding: 12px;
	border: 2px solid #aaa;
	box-sizing: border-box;
	border-radius: 4px;
	font-family: var(--font-family);
	font-size: 1rem;
}

body:not(.wp-admin) input:focus,
html :where(.editor-styles-wrapper) input:focus,
body:not(.wp-admin) textarea:focus,
html :where(.editor-styles-wrapper) textarea:focus {
	border-color: var(--black);
	outline-color: var(--black);
}

body:not(.wp-admin) h1,
html :where(.editor-styles-wrapper) h1,
body:not(.wp-admin) h2,
html :where(.editor-styles-wrapper) h2,
body:not(.wp-admin) h3,
html :where(.editor-styles-wrapper) h3,
body:not(.wp-admin) h4,
html :where(.editor-styles-wrapper) h4,
body:not(.wp-admin) h5,
html :where(.editor-styles-wrapper) h5,
body:not(.wp-admin) h6,
html :where(.editor-styles-wrapper) h6 body:not(.wp-admin) h1 a,
html :where(.editor-styles-wrapper) h1 a,
body:not(.wp-admin) h2 a,
html :where(.editor-styles-wrapper) h2 a,
body:not(.wp-admin) h3 a,
html :where(.editor-styles-wrapper) h3 a,
body:not(.wp-admin) h4 a,
html :where(.editor-styles-wrapper) h4 a,
body:not(.wp-admin) h5 a,
html :where(.editor-styles-wrapper) h5 a,
body:not(.wp-admin) h6 a,
html :where(.editor-styles-wrapper) h6 a {
	text-transform: uppercase;
	font-weight: var(--font-bold);
	margin: 0;
	padding: 0;
	color: var(--black);
}

body:not(.wp-admin) h1,
html :where(.editor-styles-wrapper) h1,
body:not(.wp-admin) h1 a,
html :where(.editor-styles-wrapper) h1 a {
	font-size: 4rem;
	line-height: calc(4rem * 1.2);
}

body:not(.wp-admin) h2,
html :where(.editor-styles-wrapper) h2,
body:not(.wp-admin) h2 a,
html :where(.editor-styles-wrapper) h2 a {
	font-size: 3.5rem;
	line-height: calc(3.5rem * 1.2);
}

body:not(.wp-admin) h3,
html :where(.editor-styles-wrapper) h3,
body:not(.wp-admin) h3 a,
html :where(.editor-styles-wrapper) h3 a {
	font-size: 3rem;
	line-height: calc(3rem * 1.2);
}

body:not(.wp-admin) h4,
html :where(.editor-styles-wrapper) h4,
body:not(.wp-admin) h4 a,
html :where(.editor-styles-wrapper) h4 a {
	font-size: 2.5rem;
	line-height: calc(2.5rem * 1.2);
}

body:not(.wp-admin) h5,
html :where(.editor-styles-wrapper) h5,
body:not(.wp-admin) h5 a,
html :where(.editor-styles-wrapper) h5 a {
	font-size: 2rem;
	line-height: calc(2rem * 1.2);
}

body:not(.wp-admin) h6,
html :where(.editor-styles-wrapper) h6,
body:not(.wp-admin) h6 a,
html :where(.editor-styles-wrapper) h6 a {
	font-size: 1.5rem;
	line-height: calc(1.5rem * 1.2);
}

body:not(.wp-admin) .black h1,
html :where(.editor-styles-wrapper) .black h1,
body:not(.wp-admin) .black h2,
html :where(.editor-styles-wrapper) .black h2,
body:not(.wp-admin) .black h3,
html :where(.editor-styles-wrapper) .black h3,
body:not(.wp-admin) .black h4,
html :where(.editor-styles-wrapper) .black h4,
body:not(.wp-admin) .black h5,
html :where(.editor-styles-wrapper) .black h5,
body:not(.wp-admin) .black h6,
html :where(.editor-styles-wrapper) .black h6,
body:not(.wp-admin) .black p,
html :where(.editor-styles-wrapper) .black p {
	color: #fff !important;
}

body:not(.wp-admin) p,
html :where(.editor-styles-wrapper) p {
	width: 100%;
}

body:not(.wp-admin) p,
body:not(.wp-admin) p a,
html :where(.editor-styles-wrapper) p,
html :where(.editor-styles-wrapper) p a {
	font-size: 1.2rem;
	line-height: calc(1.2rem * 1.6);
}

body:not(.wp-admin) p strong,
html :where(.editor-styles-wrapper) p strong {
	font-weight: var(--font-bold);
}

body:not(.wp-admin) main,
html :where(.editor-styles-wrapper) main {
	display: flex;
	width: 100%;
	justify-content: center;
	flex-direction: column;
	align-items: center;
}

.section,
body:not(.wp-admin) main>.wp-block-columns,
html :where(.editor-styles-wrapper) .wp-block-columns {
	position: relative;
	display: flex;
	max-width: 100%;
	justify-content: center;
	flex-wrap: wrap;
	padding: var(--section-padding-y) var(--section-padding-x);
	width: 100%;
}

.section-container {
	display: flex;
	width: var(--section-width);
	padding-left: var(--section-padding-x);
	padding-right: var(--section-padding-x);
	max-width: 100%;
	flex-wrap: wrap;
}

body.single main>.section>.section-container {
	width: 920px;
}

body:not(.wp-admin) .section.black,
body:not(.wp-admin) main>.wp-block-columns.black,
html :where(.editor-styles-wrapper) .section.black,
html :where(.editor-styles-wrapper) .wp-block-columns.black {
	background-color: var(--black);
}

body:not(.wp-admin) .editor-styles-wrapper :where(.is-layout-flex),
:where(main > .wp-block-columns.is-layout-flex) {
	gap: 2.5rem !important;
}

body:not(.wp-admin) main>.wp-block-columns>.wp-block-column:first-child,
html :where(.editor-styles-wrapper) .wp-block-columns>.wp-block-column:first-child {
	margin-left: calc((100% - var(--section-width)) / 2) !important;
}

body:not(.wp-admin) main>.wp-block-columns>.wp-block-column:last-child,
html :where(.editor-styles-wrapper) .wp-block-columns>.wp-block-column:last-child {
	margin-right: calc((100% - var(--section-width)) / 2) !important;
}

/* deve ser o mesmo valor da variavel SECTION-WIDTH @@ */
@media only screen and (max-width: 1600px) {

	body:not(.wp-admin) main>.wp-block-columns>.wp-block-column:first-child,
	html :where(.editor-styles-wrapper) .wp-block-columns>.wp-block-column:first-child {
		margin-left: 0 !important;
	}

	body:not(.wp-admin) main>.wp-block-columns>.wp-block-column:last-child,
	html :where(.editor-styles-wrapper) .wp-block-columns>.wp-block-column:last-child {
		margin-right: 0 !important;
	}
}

body:not(.wp-admin) .wp-element-button,
html :where(.editor-styles-wrapper) .wp-element-button,
body:not(.wp-admin) .editor-styles-wrapper .wp-block-button__link,
html :where(.editor-styles-wrapper) .editor-styles-wrapper .wp-block-button__link,
body:not(.wp-admin) input[type=submit],
html :where(.editor-styles-wrapper) input[type=submit] {
	background-color: transparent;
	color: var(--black);
	font-size: 1.2rem !important;
	padding: 24px !important;
	border: 2px solid var(--black) !important;
	text-decoration: none !important;
	transition: 0.3s !important;
	border-radius: 0 !important;
	font-weight: var(--font-regular) !important;
	cursor: pointer;
	text-align: center;
	justify-content: center;
	align-items: center;
}

@media only screen and (max-width: 943px) {

	body:not(.wp-admin) .wp-element-button,
	html :where(.editor-styles-wrapper) .wp-element-button,
	body:not(.wp-admin) .editor-styles-wrapper .wp-block-button__link,
	html :where(.editor-styles-wrapper) .editor-styles-wrapper .wp-block-button__link,
	body:not(.wp-admin) input[type=submit],
	html :where(.editor-styles-wrapper) input[type=submit] {
		padding: 14px !important;
		font-size: 1rem !important;
	}
}


body:not(.wp-admin) .wp-element-button:hover,
html :where(.editor-styles-wrapper) .wp-element-button:hover,
body:not(.wp-admin) .editor-styles-wrapper .wp-block-button__link:hover,
html :where(.editor-styles-wrapper) .editor-styles-wrapper .wp-block-button__link:hover,
body:not(.wp-admin) input[type=submit]:hover,
html :where(.editor-styles-wrapper) input[type=submit]:hover {
	background-color: var(--black) !important;
	color: var(--white) !important;
}

body:not(.wp-admin) .black .wp-element-button,
html :where(.editor-styles-wrapper) .black .wp-element-button,
body:not(.wp-admin) .black .editor-styles-wrapper .wp-block-button__link,
html :where(.editor-styles-wrapper) .black .editor-styles-wrapper .wp-block-button__link,
body:not(.wp-admin) .black input[type=submit],
html :where(.editor-styles-wrapper) .black input[type=submit] {
	color: #fff !important;
	border-color: #fff !important;
}

body:not(.wp-admin) .black .wp-element-button:hover,
html :where(.editor-styles-wrapper) .black .wp-element-button:hover,
body:not(.wp-admin) .black .editor-styles-wrapper .wp-block-button__link:hover,
html :where(.editor-styles-wrapper) .black .editor-styles-wrapper .wp-block-button__link:hover,
body:not(.wp-admin) .black input[type=submit]:hover,
html :where(.editor-styles-wrapper) .black input[type=submit]:hover {
	color: var(--black) !important;
	background-color: #fff !important;
}

@media only screen and (max-width: 943px) {

	body:not(.wp-admin) h1,
	html :where(.editor-styles-wrapper) h1,
	body:not(.wp-admin) h1 a,
	html :where(.editor-styles-wrapper) h1 a {
		font-size: 3rem;
		line-height: calc(3rem * 1.2);
	}

	body:not(.wp-admin) h2,
	html :where(.editor-styles-wrapper) h2,
	body:not(.wp-admin) h2 a,
	html :where(.editor-styles-wrapper) h2 a {
		font-size: 2.5rem;
		line-height: calc(2.5rem * 1.2);
	}

	body:not(.wp-admin) h3,
	html :where(.editor-styles-wrapper) h3,
	body:not(.wp-admin) h3 a,
	html :where(.editor-styles-wrapper) h3 a {
		font-size: 2rem;
		line-height: calc(2rem * 1.2);
	}

	body:not(.wp-admin) h4,
	html :where(.editor-styles-wrapper) h4,
	body:not(.wp-admin) h4 a,
	html :where(.editor-styles-wrapper) h4 a {
		font-size: 1.5rem;
		line-height: calc(1.5rem * 1.2);
	}

	body:not(.wp-admin) h5,
	html :where(.editor-styles-wrapper) h5,
	body:not(.wp-admin) h5 a,
	html :where(.editor-styles-wrapper) h5 a {
		font-size: 1.2rem;
		line-height: calc(1.2rem * 1.2);
	}

	body:not(.wp-admin) h6,
	html :where(.editor-styles-wrapper) h6,
	body:not(.wp-admin) h6 a,
	html :where(.editor-styles-wrapper) h6 a {
		font-size: 1rem;
		line-height: calc(1rem * 1.2);
	}

	body:not(.wp-admin) p,
	body:not(.wp-admin) p a,
	html :where(.editor-styles-wrapper) p,
	html :where(.editor-styles-wrapper) p a {
		font-size: 1rem;
		line-height: calc(1rem * 1.4);
	}
}


.pgcal-branding {
	display: none !important;
}

.fc .fc-daygrid-day.fc-day-today {
	background-color: rgba(0, 0, 0, 0.15) !important;
}

.pgcal-container .fc-event-time {
	color: #fff;
}

.pgcal-container .fc-event-title {
	color: #fff;
}

.pgcal-container .fc-h-event {
	background-color: var(--black);
	border: 0;
	padding: 2px;
}

.pgcal-container .fc .fc-button .fc-icon {
	color: #fff;
}

@media only screen and (max-width: 943px) {
	.pgcal-container .fc-toolbar-chunk {
		display: none;
	}
}

body:not(.wp-admin) :where(.wp-block-columns) {
	margin-bottom: 0;
}


.sptp-member-avatar .sptp-member-avatar-img img {
	width: 300px;
	aspect-ratio: 1/1;
	border-radius: 50% !important;
	overflow: hidden;
	object-fit: cover;
}

.sptp-member-avatar-img {
	background-color: transparent !important;
}

.sp-team .sptp-section-title {
	display: none;
}

/* @@@ LATESTS POSTS WIDGET **/
.wp-block-latest-posts.is-grid {
	gap: 2.5rem;
}

.wp-block-latest-posts.is-grid li {
	display: inline-flex;
	flex-direction: column;
	margin: 0;
	gap: 12px;
}

.wp-block-latest-posts.columns-4 li {
	width: calc(25% - ((2.5rem * 3) / 4));
}

.wp-block-latest-posts.is-grid .wp-block-latest-posts__post-title {
	font-size: 1.4rem;
	color: var(--black);
}

.wp-block-latest-posts.is-grid .wp-block-latest-posts__post-title:hover {
	opacity: 0.8;
}

.wp-block-latest-posts.is-grid time {
	font-size: 1rem;
	color: #777;
}

@media only screen and (max-width: 943px) {
	.wp-block-latest-posts.is-grid {
		gap: 8px;
		row-gap: 36px;
	}

	.wp-block-latest-posts.columns-4 li {
		width: calc(50% - (8px / 2));
	}
}

@media only screen and (max-width: 640px) {
	.wp-block-latest-posts.is-grid {
		gap: 0;
		row-gap: 36px;
	}

	.wp-block-latest-posts.columns-4 li {
		width: 100%;
	}
}

.sptp-row .sptp-col-xs-1 {
	max-width: 50% !important;
}

.wpcf7-form {
	display: flex;
	flex-direction: column;
	gap: 18px;
	align-items: center;
	justify-content: center;
}

.wpcf7-form p {
	display: flex;
	flex-direction: column;
	margin: 0;
	align-items: center;
	justify-content: center;
	gap: 12px;
}

.wpcf7 form .wpcf7-response-output {
	display: flex;
	justify-content: center;
	padding: 12px;
	font-size: 1.2rem;
}

.wpcf7 form.sent .wpcf7-submit {
	display: none;
}

.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
	background-color: var(--yellow);
	color: #fff;
	margin: 0;
}

.wpcf7 form.sent .wpcf7-response-output {
	background-color: var(--green);
	color: #fff;
	margin: 0;
}